Complete a human review task - SuperAI Flows

Complete a human review task

cURL

curl --request POST \
  --url https://flows.super.ai/api/human-review-tasks/{task_id}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "review_result": true,
  "reviewed_output": {
    "comments": "All dates are correct.",
    "verified": true
  }
}
'```

### Python

```python
import requests

url = "https://flows.super.ai/api/human-review-tasks/{task_id}/complete"

payload = {
    "review_result": True,
    "reviewed_output": {
        "comments": "All dates are correct.",
        "verified": True
    }
}
headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {
    'X-API-Key': '<api-key>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    review_result: true,
    reviewed_output: {comments: 'All dates are correct.', verified: true}
  })
};

fetch('https://flows.super.ai/api/human-review-tasks/{task_id}/complete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://flows.super.ai/api/human-review-tasks/{task_id}/complete",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'review_result' => true,
    'reviewed_output' => [
        'comments' => 'All dates are correct.',
        'verified' => true
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://flows.super.ai/api/human-review-tasks/{task_id}/complete"

payload := strings.NewReader("{\n  \"review_result\": true,\n  \"reviewed_output\": {\n    \"comments\": \"All dates are correct.\",\n    \"verified\": true\n  }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.post("https://flows.super.ai/api/human-review-tasks/{task_id}/complete")
  .header("X-API-Key", "<api-key>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"review_result\": true,\n  \"reviewed_output\": {\n    \"comments\": \"All dates are correct.\",\n    \"verified\": true\n  }\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://flows.super.ai/api/human-review-tasks/{task_id}/complete")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"review_result\": true,\n  \"reviewed_output\": {\n    \"comments\": \"All dates are correct.\",\n    \"verified\": true\n  }\n}"

response = http.request(request)
puts response.read_body

Example Response

{
  "created_at": "2023-11-07T05:31:56Z",
  "flow_execution_id": "550e8400-e29b-41d4-a716-446655440000",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "modified_by": "<string>",
  "organization_id": "550e8400-e29b-41d4-a716-446655440000",
  "source_task_execution_idx": 0,
  "source_task_name": "process_document",
  "status": "pending",
  "target_task_execution_idx": 0,
  "target_task_name": "receive_file",
  "updated_at": "2023-11-07T05:31:56Z",
  "completed_at": "2024-01-01T00:00:00Z",
  "completed_by": "550e8400-e29b-41d4-a716-446655440000",
  "instructions": "Please review the document and verify all dates are correct.",
  "review_result": true,
  "reviewed_output": {
    "comments": "All dates are correct.",
    "verified": true
  },
  "task_metadata": {
    "priority": "high",
    "source": "api"
  }
}